EGeneratedHeaderFlags (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.model.EGeneratedHeaderFlags class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.nokia.carbide.cpp.epoc.engine.model
Enum EGeneratedHeaderFlags

    java.lang.Object
      java.lang.Enum<EGeneratedHeaderFlags>
          com.nokia.carbide.cpp.epoc.engine.model.EGeneratedHeaderFlags

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EGeneratedHeaderFlags>

    public enum EGeneratedHeaderFlags

extends java.lang.Enum<EGeneratedHeaderFlags>

Define the semantics of header generation for files whose build step creates an optional header (usually with enums or #defines).

Enum Constant Summary
`Header` Emit header file to system includes
`HeaderOnly` Emit header file -- and no target file -- to system includes
`NoHeader` No header file

Method Summary
`static EGeneratedHeaderFlags` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EGeneratedHeaderFlags[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoHeader

    public static final EGeneratedHeaderFlags NoHeader

  No header file

### Header

    public static final EGeneratedHeaderFlags Header

  Emit header file to system includes

### HeaderOnly

    public static final EGeneratedHeaderFlags HeaderOnly

  Emit header file -- and no target file -- to system includes

Method Detail

### values

    public static final EGeneratedHeaderFlags[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(EGeneratedHeaderFlags c : EGeneratedHeaderFlags.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static EGeneratedHeaderFlags valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD